Search Borrowers

The Search Borrowers API can be used to search for an existing borrower.

This API uses query parameters (no JSON body). Below please find descriptions of the parameters.

Caution

The Search API provides guarantees of eventual consistency and under normal operating conditions, data propagation takes seconds. For read-after-write workflows requiring strict consistency, use the "List Borrowers" method instead.

Query Params
number
1 to 100
Defaults to 20

Number of entities to return. Used for pagination implementation. If no value is provided used default 20. Max 100.

number
≥ 0

Number entities to skip. Useful for pagination implementation. Only works if count param is passed

string
enum

Field to sort by

string
enum

Direction of sort results. asc or desc

Allowed:
string

Search query to perform

searchBy
array of strings

Borrower variables to perform search upon. Can be passed as a single string (searchBy=borrower_custom_field) or an array of strings (searchBy=borrower_custom_field&searchBy=borrower_another_custom_field). For table variable use: searchBy=borrower_assets.0.asset_type.Note that searching works only for String variable data types

searchBy
string

Borrower Company Id Number.

string

Borrower Personal Id Number.

string

Borrower email address to filter by. Filter working by variable borrower_email

string

If set to true will return borrowers with type equal to company.

string

If set to true will return borrowers with type equal to person.

string

Created before date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

string

Created from date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format.

string

Update before date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

string

Updated from date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

teamMemberIds
array of strings

Array of team member IDs to filter by

teamMemberIds
filterByVariables
object

Lets filter results by borrower variables. Use filterByVariables[borrower_first_name]=james to find by exact value, or filterByVariables[borrower_first_name]=james&filterByVariables[borrower_first_name]=john to filter using list of options(james or john). In case of find in range use: filterByVariables[loan_amount][from]=15000&filterByVariables[loan_amount][to]=20000. For address variable use: filterByVariables[borrower_address.city]=New York. For table variable use: filterByVariables[assets_table.0.asset_type]=House`.

Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json